=== Styles Library ===
Author URI:        https://blockstyles.com/
Contributors:      blockstyles, easilyamused, surajkumarsingh, christophherr, guavaworks, jamestryon
Tags:              patterns, blocks, block patterns, gutenberg, block editor
Requires at least: 5.9
Tested up to:      6.0
Requires PHP:      7.4
Stable tag:        2.0.1
License:           GPLv3 or later
License URI:       https://www.gnu.org/licenses/gpl-3.0.html

A block pattern creation, management, and template library tool.

== Description ==

## Block Pattern Library
The Styles Library enhances the block pattern browsing experience. Browse core, theme, and your custom defined block patterns, and quickly use them. BlockStyles free block patterns are included. Easily import a block pattern into the editor in just a click.

The library is extendable with the premium BlockStyles membership. Get ready-to-use wireframe, section, and full-page block patterns which include images, typography, colors, backgrounds, etc. using the Block Styles plugin.

## Create Custom Block Patterns
Patterns are a "stamp" or group of blocks that are pre-styled in a way to get you going creating content faster. Create your own custom patterns to use anywhere on your site, as a time saving layout tool.

Think of a new design feel for your content? Create a new pattern, and "stamp" away!

Want a consistent design and layout for your content features like a gallery, or table? Use block patterns and the Block Styles plugin to save fully designed block patterns, with all of your favorite blocks.

## Block Pattern Manager
Manage your custom created blocks easily from the admin. Edit or remove existing block patterns.
Create & manage block pattern categories and block pattern tags to easily find them in the library

== Mission == (Not sure if we need this or not for the repo)

Our mission is to provide WordPress users with an easy and convenient way to create their own block patterns and store them to use for later web pages.

== Features ==

* **Create New Block Patterns:** Create block patterns from scratch via the WordPress backend or save block patterns from the frontend of your site.

* **Easily Manage Your Custom Block Patterns:** Block patterns are stored in the backend of your WordPress site and in the **Pattern Library**.

* **Categorize Block Patterns and Apply Tags:** Organize your block patterns by applying categories and tags.

* **Save Full Pages as Block Patterns:** Save time building webpages with the ability to save full WordPress pages as entire block patterns.

* **Import & Export Block Patterns:** Any block pattern you create can be downloaded via a JSON file and exported to be used on any other WordPress site you have.

* **Access Pre-Built Block Patterns:** Our team has built a handful of pre-built block patterns that are ready for you to download and use on your WordPress site.

Interested in premium block patterns? Our [Block Styles membership](https://blockstyles.com) features premium pre-built block patterns with robust design elements.

== Stay Connected ==

Stay up-to-date on the Styles Library, and Gutenberg development, using the links below. The plugin is also being built transparently on GitHub, so give it a star and follow along! 😉

Styles Library is a part of Block Styles, a collection of tools which transforms the default WordPress Block Editor in to a true page builder.

* [Visit the Block Styles Home Page] (https://blockstyles.com)
* [Follow on Twitter] (https://twitter.com/blockstyleswp)
* [Follow on Facebook](https://www.facebook.com/blockstyleswp)
* [View on GitHub](https://github.com/easily-amused/ea-styles-library/)
* [Gutenberg plugin](https://wordpress.org/plugins/gutenberg/)
* [Gutenberg on GitHub](https://github.com/WordPress/gutenberg)

== Installation ==

= From WordPress Backend =

Navigate to Plugins → Add New
Click "Upload Plugin" next to "Add plugins" title
Upload the downloaded zip file and activate it.

= Direct Upload =

Upload the downloaded zip file into your 'wp-content/plugins/' folder.
Unzip the uploaded zip file.
Navigate to the Plugins menu on your WordPress admin area.
Activate the plugin.

Once activated, navigate to the Block Editor and you will see the "Insert Pattern" button in the header toolbar. See the plugin screenshots for reference.

== Screenshots ==

1. Two-column call to action block pattern.
2. Two-column FAQ block pattern.
3. Four-column feature call-out with images.
4. Access your styles library from the frontend of your WordPress site
5. Add block patterns from the frontend of your WordPress site.

== FAQ ==

= Can I add custom CSS? =
Yes, using the Advanced panel, you can add any additional CSS you wish.

= What happens to my patterns after I deactivate the plugin? =
The patterns will no longer be available to you, but anything that is published will remain the same. Once you reactivate the plugin, your patterns will reappear.

= What happens to my patterns after I uninstall the plugin? =
Your patterns will remain in your site's database unless you do a complete data removal. Patterns on published pages will remain the same.

= Should I deactivate the plugin to debug? =
Yes, we recommend you deactivate the plugin to troubleshoot/debug. We do not recommend uninstalling the plugin.

= Do you offer premium block style patterns? =
Yes, if you purchase a Block Styles membership, you receive our premium block patterns, along with our Block Styles plugin, our Dynamic Content plugin, and our FSE Gesso theme.

== Changelog ==

= 2.0.1 =
* Added Styles Library button to FSE editor
* Updated localization

= 2.0.0 =
* Public release

= 1.1.0 =
* Internal Release
